[arch-commits] Commit in xscreensaver/repos (3 files)

Eric Belanger eric at archlinux.org
Fri Jul 18 22:18:42 EDT 2008


    Date: Friday, July 18, 2008 @ 22:18:42
  Author: eric
Revision: 5642

Merged revisions 2-5641 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xscreensaver/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r5641 | eric | 2008-07-18 22:18:29 -0400 (Fri, 18 Jul 2008) | 2 lines
  
  upgpkg: xscreensaver 5.06-1
      upstream update
........

Modified:
  xscreensaver/repos/extra-x86_64/	(properties)
  xscreensaver/repos/extra-x86_64/ChangeLog
  xscreensaver/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |    9 +++++++--
 PKGBUILD  |   26 ++++++++++----------------
 2 files changed, 17 insertions(+), 18 deletions(-)


Property changes on: xscreensaver/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /xscreensaver/trunk:1
   + /xscreensaver/trunk:1-5641

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2008-07-19 02:18:29 UTC (rev 5641)
+++ extra-x86_64/ChangeLog	2008-07-19 02:18:42 UTC (rev 5642)
@@ -1,5 +1,10 @@
+2008-07-18  Eric Belanger  <eric at archlinux.org>
+
+	* xscreensaver 5.06-1
+	* Upstream update
+
 2008-03-02  Eric Belanger  <eric at archlinux.org>
 
 	* xscreensaver 5.05-1
-	* upstream update
-	* FSH man pages
+	* Upstream update
+	* FHS man pages

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-19 02:18:29 UTC (rev 5641)
+++ extra-x86_64/PKGBUILD	2008-07-19 02:18:42 UTC (rev 5642)
@@ -3,26 +3,25 @@
 # Contributor: Sean Middleditch <elanthis at awesomeplay.com>
 
 pkgname=xscreensaver
-pkgver=5.05
+pkgver=5.06
 pkgrel=1
 pkgdesc="Screen saver and locker for the X Window System"
 arch=('i686' 'x86_64')
 url="http://www.jwz.org/xscreensaver/"
 license=('BSD')
-backup=('etc/pam.d/xscreensaver')
 depends=('libxxf86misc' 'libglade' 'mesa' 'pam' 'xorg-res-utils')
 makedepends=('bc')
+backup=('etc/pam.d/xscreensaver')
 source=(http://www.jwz.org/xscreensaver/${pkgname}-${pkgver}.tar.gz \
 	xscreensaver.pam LICENSE)
-md5sums=('d759262b10d76f87f1a7fc50ae8664d4' '367a3538f54db71f108b34cfa31088ac'\
+md5sums=('c6b2cab02aaea32684d37a9a76488e0f' '367a3538f54db71f108b34cfa31088ac'\
          '5e7f3f2a63d20a484742f5b4cb5d572c')
-sha1sums=('6f23422b17dd8a06cdaf419fd16d398eee50601b'
+sha1sums=('3310789ecf1ed8ff790d94512fe536857e793e4c'
           '106635aa1aae51d6f0668b1853f6c49a4fe9d3d8'
           '4209ea586b204fd1d81c382a0522c654f9fd9134')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
        --libexecdir=/usr/lib \
        --with-x-app-defaults=/usr/share/X11/app-defaults \
@@ -31,14 +30,9 @@
        --without-gle --with-xpm --with-pixbuf --with-jpeg \
        --with-fortune="/bin/cat /etc/arch-release" || return 1
   make || return 1
-  make install_prefix=${startdir}/pkg install || return 1
-  install -D -m644 ../LICENSE ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE
-
-  mkdir -p ${startdir}/pkg/etc/pam.d
-  install -m644 ${startdir}/src/xscreensaver.pam ${startdir}/pkg/etc/pam.d/xscreensaver
-  chmod 755 ${startdir}/pkg/usr/bin/xscreensaver
-
-  mv ${startdir}/pkg/usr/share/applications/gnome-screensaver-properties.desktop \
-     ${startdir}/pkg/usr/share/applications/xscreensaver-properties.desktop
-  echo "NotShowIn=KDE;GNOME;" >> ${startdir}/pkg/usr/share/applications/xscreensaver-properties.desktop
+  make install_prefix=${pkgdir} install || return 1
+  install -D -m644 ${srcdir}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
+  install -D -m644 ${srcdir}/xscreensaver.pam ${pkgdir}/etc/pam.d/xscreensaver || return 1
+  chmod 755 ${pkgdir}/usr/bin/xscreensaver || return 1
+  echo "NotShowIn=KDE;GNOME;" >> ${pkgdir}/usr/share/applications/xscreensaver-properties.desktop || return 1
 }





More information about the arch-commits mailing list